## airstrike 0.99+1.0pre6a

=== debian/changelog ===
airstrike (0.99+1.0pre6a-5) unstable; urgency=low

  * Team upload.

  [ Paul Wise ]
  * Add a watch file
  * Removed mention of network play from description
    (Closes: #594665) (LP: #602703)

  [ Ansgar Burchardt ]
  * Use source format 3.0 (quilt).
  * Add -lm to fix FTBFS with binutils-gold.  Thanks to Ilya Barygin for the
    patch. (Closes: #553647)
  * Bump Standards-Version to 3.9.1 (no changes).
  * Add ${misc:Depends}; remove ${shlibs:Depends} for Arch: all package.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 14 Mar 2011 15:09:53 +0100

airstrike (0.99+1.0pre6a-4) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file
  * debian/control: Change XS-Vcs-* to Vcs-*

  [ Arthur Loiret ]
  * debian/copyright: pention the current maintainer is the Debian Game team.

  [ Barry deFreese ]
  * Acknowledge NMUs.
  * Add myself to uploaders.
  * Move old source changes to patches.
    + fix_paths.diff - Fix paths in Makefile, config.h, and airstrike.c.
    + manpage.diff - Add .SH section to manpage.
    + airstrikerc.diff - Fix path to data.
  * fix-spawn-level.diff. (Closes: #470471).
    + Start planes at same height.
  * Fix copyright encoding to UTF-8.
  * Remove unneeded dirs file.
  * Install desktop and icon file in .install file.
  * Add call to dh_desktop.
  * Bump Standards Version to 3.7.3.
    + Menu policy transition.

 -- Barry deFreese <bddebian@comcast.net>  Mon, 17 Mar 2008 21:05:57 -0400

airstrike (0.99+1.0pre6a-3.1) unstable; urgency=low

  * NMU with current maintainer's authorization.
  * Set Maintainer to the Debian Games Team.
  * Add a .desktop and an icon. (Closes: #359279, #432842)
    - debian/dirs: Update.
    - debian/rules: Install .desktop and icon.
  * debian/rules: generate airstrike-common in binary-arch target.
    (Closes: #304116)
  * debian/control:
    - Add quilt (>= 0.40) to Build-Depends.
    - Update debhelper version.
    - Update Standards-Version.
    - Add Homepage.
  * debian/patches/series: Add.
    - fix-red-baron-has-unlimited-bombs.diff: Add. (Closes: #340167)
    - fix-buffer-overflow.diff: Add. (Closes: #290423)
    - fix-unusable-on-amd64.diff: Add. (Closes: #406879)
    - fix-segfault-on-close.diff: Add. (Closes: #418192)
  * debian/rules:
    - Remove deprecated DH_COMPAT.
    - Update CFLAGS.
    - Remove unused configure target.
    - Fix debian-rules-ignore-make-clean-errors.
    - Remove useless comments.
    - Don't install menu file anymore since there is a .desktop now.
  * debian/copyright:
    - Add missing copyright.
    - Update FSF address.
  * debian/compat: Add.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Tue, 09 Oct 2007 12:40:20 +0200

airstrike (0.99+1.0pre6a-3) unstable; urgency=low

  * Added "Replaces: airstrike (<< 0.99+1.0pre6a-2)" to
    airstrike-common to get rid of problems at upgrading to the
    splitted version (closes: #278110).
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>.

 -- Sven Velt <sven@velt.de>  Sat, 30 Oct 2004 17:23:12 +0200

airstrike (0.99+1.0pre6a-2) unstable; urgency=low

  * "Release Notes" and "About the game" fixed (closes: #231820).
  * Fixed manpage so whatis parse problem is gone
    (closes: #238021).
  * Moved arch independent data in separate airstrike-common package
    (closes: #233323).
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>.

 -- Sven Velt <sven@velt.de>  Tue, 28 Sep 2004 13:24:29 +0200

airstrike (0.99+1.0pre6a-1) unstable; urgency=low

  * New upstream (closes: #22807) should be completly licensed
    under the GPL (closes: #228085) and includes a man page
    (closes: #225658)
  * Useless files are removed from the package (closes: 225660)
  * Sound files removed due to unknown source and license.
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>.

 -- Sven Velt <sven@velt.de>  Wed, 03 Feb 2004 00:25:29 +0100

airstrike (0.99+1.0pre4-1) unstable; urgency=low

  * Initial Release (closes: #179453).
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>.

 -- Sven Velt <sven@velt.de>  Fri, 30 Oct 2003 11:31:09 +0200
