=== debian/control ===
Source: airstrike
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sven Velt <sven@velt.de>, Barry deFreese <bddebian@comcast.net>
Build-Depends: debhelper (>= 5), libsdl-image1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/airstrike/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/airstrike/?op=log
Homepage: http://icculus.org/airstrike/

Package: airstrike
Architecture: any
Depends: airstrike-common, ${shlibs:Depends}, ${misc:Depends}
Description: 2d dogfight game in the tradition of 'Biplanes' and 'BIP'
 Airstrike is a 2d dogfight game in the tradition of the Intellivision and
 Amiga games 'Biplanes' and 'BIP'. It features a robust physics engine and
 several other extensions of the original games. Playable by 
 1 or 2 persons.

Package: airstrike-common
Architecture: all
Depends: ${misc:Depends}
Replaces: airstrike (<< 0.99+1.0pre6a-2)
Description: 2d dogfight game in the tradition of 'Biplanes' and 'BIP'
 Airstrike is a 2d dogfight game in the tradition of the Intellivision and
 Amiga games 'Biplanes' and 'BIP'. It features a robust physics engine and
 several other extensions of the original games. It is currently 0-2 player
 only, but will hopefully have network play and some more advanced computer
 controlled enemies in the future. The graphics have been created using the
 Povray raytracer, and should be easy to extend and modify.
 .
 This package contains the architecture-independent data files.
