=== debian/watch ===
version=3
opts="uversionmangle=s/pre/0.99+1.0pre/" http://icculus.org/airstrike/airstrike-([^-]*)-src.tar.gz
